## Interface IValidator

Description

IValidator interface

If a control wants to validate user input, it must implement this interface.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 1956)

Method Summary
string getErrorMessage ()
boolean getIsValid ()
void setErrorMessage (string $value)
void setIsValid (boolean $value)
boolean validate ()
Methods
getErrorMessage (line 1976)

- return: error message during last validate
- access: public

string getErrorMessage ()
getIsValid (line 1968)

- return: whether the previous validate() is successful.
- access: public

boolean getIsValid ()
setErrorMessage (line 1980)

- access: public

void setErrorMessage (string $value)

- string $value: error message for the validation

setIsValid (line 1972)

- access: public

void setIsValid (boolean $value)

- boolean $value: whether the validator validates successfully

validate (line 1964)

Validates certain data.

The implementation of this function should validate certain data (e.g. data entered into TTextBox control).

- return: whether the data passes the validation
- access: public

boolean validate ()

Documentation generated on Mon, 21 Apr 2008 11:34:06 -0400 by phpDocumentor 1.3.0RC4